## rb-playlist-source

rb-playlist-source

## Synopsis

    typedef             RBPlaylistSourcePrivate;
    RBSource*           rb_playlist_source_new_from_xml     (RBShell *shell,
                                                             xmlNodePtr node);
    void                rb_playlist_source_save_playlist    (RBPlaylistSource *source,
                                                             const char *uri,
                                                             gboolean m3u_format);
    void                rb_playlist_source_save_to_xml      (RBPlaylistSource *source,
                                                             xmlNodePtr node);

## Description

## Details

### RBPlaylistSourcePrivate

    typedef struct RBPlaylistSourcePrivate RBPlaylistSourcePrivate;

### rb_playlist_source_new_from_xml ()

    RBSource*           rb_playlist_source_new_from_xml     (RBShell *shell,
                                                             xmlNodePtr node);

`shell` : |
`node` : |
Returns : |

### rb_playlist_source_save_playlist ()

    void                rb_playlist_source_save_playlist    (RBPlaylistSource *source,
                                                             const char *uri,
                                                             gboolean m3u_format);

`source` : |
`uri` : |
`m3u_format` : |

### rb_playlist_source_save_to_xml ()

    void                rb_playlist_source_save_to_xml      (RBPlaylistSource *source,
                                                             xmlNodePtr node);

`source` : |
`node` : |